﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ELFViewerConsole.ELFModel;

namespace ElfViewerConsole
{
    class FileUtil
    {
        public static string GetMD5Hash(BinaryFile bf)
        {
            System.Security.Cryptography.MD5 md5 = new System.Security.Cryptography.MD5CryptoServiceProvider();
            md5.ComputeHash(bf.FileData.RawData);
            return BitConverter.ToString(md5.Hash).Replace("-", "");
        }

        public static string GetSHA1Hash(BinaryFile bf)
        {
            System.Security.Cryptography.SHA1 sha1 = new System.Security.Cryptography.SHA1CryptoServiceProvider();
            sha1.ComputeHash(bf.FileData.RawData);
            return BitConverter.ToString(sha1.Hash).Replace("-", "");
        }

        public static string GetSHA256Hash(BinaryFile bf)
        {
            System.Security.Cryptography.SHA256 sha256 = new System.Security.Cryptography.SHA256CryptoServiceProvider();
            sha256.ComputeHash(bf.FileData.RawData);
            return BitConverter.ToString(sha256.Hash).Replace("-", "");
        }
    }
}
